@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          class="anchor"
          [nzHeader]="statisticsTitle"
          [sqtmCoreAnchorPanel]="'dashboard'"
          [sqtmCoreAnchorCollapsePanel]="'dashboard'"
        >
          <ng-template #statisticsTitle>
            <div
              class="flex-row full-width"
              style="justify-content: space-between; overflow: hidden"
            >
              <div class="entity-view-collapse-panel-title">
                @if (
                  !componentData.campaignLibrary.shouldShowFavoriteDashboard
                ) {
                  <span>
                    {{
                      'sqtm-core.campaign-workspace.campaign-folder-page.statistics.blocks.stats'
                        | translate
                    }}
                  </span>
                } @else {
                  <span>
                    @if (componentData.campaignLibrary.dashboard) {
                      {{ componentData.campaignLibrary.dashboard.name }}
                    } @else {
                      <span>{{
                        'sqtm-core.generic.label.dashboard.title' | translate
                      }}</span>
                    }
                  </span>
                }
              </div>
              <div class="flex-row flex-end">
                @if (
                  !componentData.campaignLibrary.shouldShowFavoriteDashboard
                ) {
                  <button
                    class="flex-fixed-size m-l-5"
                    [attr.data-test-element-id]="'favorite-button'"
                    nz-button
                    [nzType]="'primary'"
                    [nzSize]="'small'"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.favorite' | translate
                    "
                    (click)="displayFavoriteDashboard($event)"
                  >
                    <span>
                      {{ 'sqtm-core.generic.label.favorite' | translate }}
                    </span>
                  </button>
                } @else {
                  <button
                    class="flex-fixed-size m-l-5"
                    [attr.data-test-element-id]="'default-button'"
                    nz-button
                    [nzType]="'primary'"
                    [nzSize]="'small'"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.default' | translate
                    "
                    (click)="displayDefaultDashboard($event)"
                  >
                    {{ 'sqtm-core.generic.label.default' | translate }}
                  </button>
                }
                <span class="m-l-10">
                  <sqtm-core-filter-icon-menu
                    [isChecked]="$lastExecutionScope()"
                    [checkBoxLabel]="
                      'sqtm-core.campaign-workspace.statistics.last-exec-scope.message'
                    "
                    [helpTooltip]="
                      'sqtm-core.campaign-workspace.statistics.last-exec-scope.tooltip'
                    "
                    (confirmEvent)="changeExtendedScope($event, componentData)"
                  >
                  </sqtm-core-filter-icon-menu>
                </span>
              </div>
            </div>
          </ng-template>
          @if (!componentData.campaignLibrary.shouldShowFavoriteDashboard) {
            @if (
              componentData.campaignLibrary.campaignLibraryStatisticsBundle
            ) {
              <div class="full-width">
                @if (
                  hasTestPlanItems(
                    componentData.campaignLibrary
                      .campaignLibraryStatisticsBundle.testCaseStatusStatistics
                  )
                ) {
                  <sqtm-app-campaign-statistics-charts-panel
                    [statistics]="
                      componentData.campaignLibrary
                        .campaignLibraryStatisticsBundle
                    "
                    [disabledExecutionStatus]="
                      componentData.projectData.disabledExecutionStatus
                    "
                    [scope]="getScope(componentData.campaignLibrary)"
                    [lastExecutionScope]="$lastExecutionScope()"
                  ></sqtm-app-campaign-statistics-charts-panel>
                } @else {
                  <div
                    class="full-width flex-row"
                    [attr.data-test-element-id]="'empty-test-plan-error'"
                  >
                    {{
                      'sqtm-core.campaign-workspace.campaign-page.statistics.charts.no-test-plan-items.campaign'
                        | translate
                    }}
                  </div>
                }
              </div>
            } @else {
              <div class="full-width">
                <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
              </div>
            }
          } @else {
            @if (
              componentData.campaignLibrary.dashboard &&
              componentData.campaignLibrary.canShowFavoriteDashboard
            ) {
              <div style="height: 84vh" class="full-width">
                @if (
                  componentData.campaignLibrary.dashboard.chartBindings
                    .length !== 0 ||
                  componentData.campaignLibrary.dashboard.reportBindings
                    .length !== 0
                ) {
                  <sqtm-app-custom-dashboard
                    [chartBindings]="
                      getChartBindings(componentData.campaignLibrary.dashboard)
                    "
                  ></sqtm-app-custom-dashboard>
                } @else {
                  <div style="height: 84vh; text-align: center">
                    <span style="font-weight: 600">
                      {{
                        'sqtm-core.custom-report-workspace.dashboard-view.empty-favorite.label'
                          | translate
                      }}
                    </span>
                  </div>
                }
              </div>
            } @else {
              <div style="height: 84vh; text-align: center">
                <span style="font-weight: 600">
                  {{
                    'sqtm-core.generic.workspace.messages.add-favorite-dashboard'
                      | translate
                  }}
                </span>
              </div>
            }
          }
        </nz-collapse-panel>
        @if (!componentData.campaignLibrary.shouldShowFavoriteDashboard) {
          <nz-collapse-panel
            class="anchor"
            [nzHeader]="inventoryTitle"
            [nzActive]="true"
          >
            <ng-template #inventoryTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.campaign-workspace.campaign-folder-page.statistics.blocks.inventory'
                    | translate
                }}
              </div>
            </ng-template>
            @if (
              componentData.campaignLibrary.campaignLibraryStatisticsBundle
            ) {
              <div class="full-width">
                <sqtm-app-campaign-folder-inventory
                  [inventory]="
                    componentData.campaignLibrary
                      .campaignLibraryStatisticsBundle.testInventoryStatistics
                  "
                  [disabledExecutionStatus]="
                    componentData.projectData.disabledExecutionStatus
                  "
                ></sqtm-app-campaign-folder-inventory>
              </div>
            } @else {
              <div class="full-width">
                <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
              </div>
            }
          </nz-collapse-panel>
        }
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="informationTitle"
          class="anchor"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <div class="campaign-library-information-grid">
            <sqtm-core-label
              [text]="'sqtm-core.entity.generic.description.label' | translate"
            >
            </sqtm-core-label>
            <sqtm-core-editable-rich-text
              [size]="'small'"
              [border]="true"
              [editable]="false"
              [sqtmCoreEntityViewEditableRichTextField]="'description'"
              [placeholder]="
                'sqtm-core.generic.editable.description.placeholder' | translate
              "
            >
            </sqtm-core-editable-rich-text>
          </div>
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}
